#ifndef HARKIO_HARKIO_HPP_
#define HARKIO_HARKIO_HPP_

#include <harkio2/AnalyzeError.hpp>
#include <harkio2/NotInitialized.hpp>
#include <harkio2/InvalidHarkFile.hpp>
#include <harkio2/FileType.hpp>
#include <harkio2/Position.hpp>
#include <harkio2/TypedFilename.hpp>
#include <harkio2/Vector3.hpp>
#include <harkio2/Version.hpp>
#include <harkio2/harkconfig/File.hpp>
#include <harkio2/harkconfig/Source.hpp>
#include <harkio2/harkconfig/Mic.hpp>
#include <harkio2/harkconfig/NoiseSource.hpp>
#include <harkio2/harkconfig/HarkConfigFile.hpp>
#include <harkio2/harkconfig/ImpulseResponseListFile.hpp>
#include <harkio2/harkconfig/TSPListFile.hpp>
#include <harkio2/harkconfig/MicArrayLocationFile.hpp>
#include <harkio2/harkconfig/NoiseLocationFile.hpp>
#include <harkio2/harkconfig/HarkConfigFileReader.hpp>
#include <harkio2/harkconfig/HarkConfigFileWriter.hpp>
#include <harkio2/harkconfig/HarkConfigFileTextReader.hpp>
#include <harkio2/harkconfig/HarkConfigFileXMLReader.hpp>
#include <harkio2/harkconfig/HarkConfigFileXMLWriter.hpp>
#include <harkio2/hark/DataSet.hpp>
#include <harkio2/hark/HarkFile.hpp>
#include <harkio2/hark/HarkFileReader.hpp>
#include <harkio2/hark/HarkFileBinaryReader.hpp>
#include <harkio2/hark/HarkFileWriter.hpp>
#include <harkio2/hark/HarkFileBinaryWriter.hpp>
#include <harkio2/hark/hgtf/Fmt.hpp>
#include <harkio2/hark/hgtf/Spec.hpp>
#include <harkio2/hark/hgtf/M2PG.hpp>
#include <harkio2/hark/hgtf/GTF.hpp>
#include <harkio2/hark/hgtf/SM.hpp>

/** \namespace harkio2
 * \brief libharkio2のすべての機能が含まれる名前空間
 */

/** \namespace harkio2::hark
 * \brief HARKファイルに関する機能が含まれる名前空間
 */

/** \namespace harkio2::hark::hgtf
 * \brief HARKファイルのうち、HGTF形式に関するデータ構造が含まれる名前空間
 */

/** \namespace harkio2::harkconfig
 * \brief HARK-configファイルに関する機能が含まれる名前空間
 */
#endif // HARKIO_HARKIO_HPP_

