#ifndef RANGECHECK_HPP_
#define RANGECHECK_HPP_

#include <harkio2/Vector3.hpp>

namespace rangecheck
{

template <typename T>
bool CheckRange(const T& a, const T& b, const T& r)
{
    if (a >= 0)
    {
        return a * (1 - r) <= b && b <= a * (1 + r);
    }
    else
    {
        return a * (1 + r) <= b && b <= a * (1 - r);
    }
}

template <typename T>
bool CheckRange(const harkio2::Vector3<T>& a, const harkio2::Vector3<T>& b, T r)
{
    return
        CheckRange<T>(a.GetX(), b.GetX(), r) &&
        CheckRange<T>(a.GetY(), b.GetY(), r) &&
        CheckRange<T>(a.GetZ(), b.GetZ(), r);
}

}

#endif // RANGECHECK_HPP_

