#define BOOST_TEST_MODULE testcase for Vector3 class
#define BOOST_TEST_DYN_LINK
#include "common.hpp"

#include <boost/test/unit_test.hpp>

#include <harkio2/Vector3.hpp>
using namespace harkio2;

BOOST_AUTO_TEST_CASE(constructors_test)
{
    Vector3<int> v0;
    Vector3<int> v1(1, 2, 3);
    Vector3<float> v2(1.5, 2.3, 3.14e11);

    BOOST_CHECK_EQUAL(v0.GetX(), 0);
    BOOST_CHECK_EQUAL(v0.GetY(), 0);
    BOOST_CHECK_EQUAL(v0.GetZ(), 0);

    BOOST_CHECK_EQUAL(v1.GetX(), 1);
    BOOST_CHECK_EQUAL(v1.GetY(), 2);
    BOOST_CHECK_EQUAL(v1.GetZ(), 3);

    BOOST_CHECK_EQUAL(v2.GetX(), static_cast<float>(1.5));
    BOOST_CHECK_EQUAL(v2.GetY(), static_cast<float>(2.3));
    BOOST_CHECK_EQUAL(v2.GetZ(), static_cast<float>(3.14e11));

}

BOOST_AUTO_TEST_CASE(operators_test)
{
    Vector3<int> v0(100, 200, 300);
    Vector3<int> v1(100, 200, 300);
    Vector3<int> v2 = v1;
    Vector3<int> v3(100, 200, 301);

    BOOST_CHECK(v0 == v1);
    BOOST_CHECK(v0 == v2);
    BOOST_CHECK(v0 != v3);
    BOOST_CHECK(v1 != v3);
    BOOST_CHECK(v2 != v3);
}

